﻿@model ALK.Models.Product

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>


@using (Html.BeginForm("Edit", "Products", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Product</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)

        <div class="form-group">
            @Html.LabelFor(model => model.Category, "CategoryId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("CategoryId", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.CategoryId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ProductName, "Product Name", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ProductName, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.ProductName, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Available, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.Available)
                    @Html.ValidationMessageFor(model => model.Available, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Price, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Price, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Price, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.PCount, "Amount", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.PCount, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.PCount, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
            </div>
        </div>

        <input type="hidden" name="oldImageId" id="oldImageId" value="@ViewBag.ImageId" />

        <div class="form-group">
            <label class="control-label col-md-2">Change picture</label>
            <div class="col-md-10">
                <input type="file" name="file" id="file" />
            </div>
        </div>

        <div class="form-group">
            @foreach (var item in Model.ProductImages)
            {

                <label class="control-label col-md-2">
                    <img src="@Url.Action("Content", "My", new { id = item.ImageId})" height="140" class="col-md-10">
                    <a href="@Url.Action("RemovePicutre","Products",new {PicturesId =item.ImageId, ProductId= item.ProductId  })">Delete</a>
                </label>

            }
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>

<script>
    // siit edasi on minu kirjutatud
    // readURL vaatab, kas laeti üles fail (esialgu brauseris)
    function readURL(input) {
        if (input.files && input.files[0]) {
            //var reader = new FileReader();
            var reader = new FileReader();   // tekitab faililugeja

            //reader.onload = function (e) {
            //    $('#pilt').attr('src', e.target.result);
            reader.onload = function (e) { // lisab faililugejale eventi
                $('#pilt').attr('src', e.target.result); // ja see event vahetab elemendi
                // id="pilt" sisu välja loetud faili sisuga
            }
            //reader.readAsDataURL(input.files[0]);
            reader.readAsDataURL(input.files[0]); // ja seejärel käivitatakse lugeja
        }
    }
    // kui lehekülg (dokument) on lõpuni laetud, siis lisame talle funktsiooni
    // käivitatakse, kui laetud
    // see funktsioon leiab elemendi id="file" ja lisab talle event-funktsiooni change
    // mis kutsub change (kui see element muutub) puhul välja readURL (vt üleval)
    $(document).ready(function () {
        $("#file").change(function () {
            readURL(this);
        });
    });

</script>

